: Class PropertiesServerHelper

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Class PropertiesServerHelper

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--org.w3c.jigadmin.editors.PropertiesServerHelper

public class PropertiesServerHelper
extends javax.swing.JPanel
implements ServerHelperInterface, javax.swing.event.ChangeListener

The server helper dedicated to the properties.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary
`protected javax.swing.JPanel` | `cards`
`protected java.util.Hashtable` | `helpers`
`protected java.lang.String` | `name`
`protected java.lang.String[]` | `properties`
`protected RemoteResourceWrapper` | `root`
`protected java.lang.String` | `selected`
`protected java.lang.String` | `tooltip`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface org.w3c.jigadmin.editors.ServerHelperInterface
`TOOLTIP_P`

Constructor Summary
`PropertiesServerHelper()` Constructor.

Method Summary
`protected void` | `build()` Build the interface.
`java.awt.Component` | `getComponent()` Get the Component.
`java.lang.String` | `getName()` Get the helper name.
`java.lang.String` | `getToolTip()` Get the helper tooltip
`void` | `initialize(java.lang.String name, RemoteResourceWrapper rrw, java.util.Properties p)` Initialize this editor.
`protected void` | `select(java.lang.String name)`
`void` | `stateChanged(javax.swing.event.ChangeEvent e)` ChangeListener implementation.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUIClassID, paramString, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setCursor, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### tooltip

    protected java.lang.String tooltip

### root

    protected RemoteResourceWrapper root

### properties

    protected java.lang.String[] properties

### cards

    protected javax.swing.JPanel cards

### helpers

    protected java.util.Hashtable helpers

### selected

    protected java.lang.String selected

Constructor Detail

### PropertiesServerHelper

    public PropertiesServerHelper()

  Constructor.

Method Detail

### initialize

    public void initialize(java.lang.String name,
                           RemoteResourceWrapper rrw,
                           java.util.Properties p)

  Initialize this editor.
  Parameters:
    `name` - the editor name
    `rrw` - the RemoteResourceWrapper wrapping the editor node.
    `p` - the editor properties

### stateChanged

    public void stateChanged(javax.swing.event.ChangeEvent e)

  ChangeListener implementation.
  Specified by:
    stateChanged in interface javax.swing.event.ChangeListener
  Parameters:
    `e` - a ChangeEvent

### build

    protected void build()

  Build the interface.

### select

    protected void select(java.lang.String name)

### getName

    public java.lang.String getName()

  Get the helper name.
  Specified by:
    getName in interface ServerHelperInterface
  Overrides:
    getName in class java.awt.Component
  Returns:
    a String instance

### getToolTip

    public java.lang.String getToolTip()

  Get the helper tooltip
  Specified by:
    getToolTip in interface ServerHelperInterface
  Returns:
    a String

### getComponent

    public java.awt.Component getComponent()

  Get the Component.
  Returns:
    a Component instance

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD